Bug 494820 - Review Request: python-pytools - A collection of tools for python
Review Request: python-pytools - A collection of tools for python
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-08 04:58 EDT by Ramakrishna Reddy
Modified: 2009-04-29 04:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-29 04:08:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ramakrishna Reddy 2009-04-08 04:58:23 EDT
Spec URL: http://ramakrishnareddy.info/fedora/python-pytools.spec
SRPM URL: http://ramakrishnareddy.info/fedora/python-pytools-8-1.fc11.src.rpm
Description:
Pytools is a big bag of things that are missing from the Python standard 
library. This is mainly a dependency of my other software packages, and is 
probably of little interest to you unless you use those. If you're curious
nonetheless, here's what's on offer:

* A ton of small tool functions such as len_iterable, argmin, tuple generation, 
permutation generation, ASCII table pretty printing, GvR's mokeypatch_xxx()
hack, the elusive flatten, and much more.
* Michele Simionato's decorator module
* A time-series logging module, pytools.log.
* Batch job submission, pytools.batchjob.
* A lexer, pytools.lex.
Comment 1 Susi Lehtola 2009-04-08 06:46:32 EDT
The description is silly for an rpm, I'd remove most of the first paragraph altogether.
Comment 2 Susi Lehtola 2009-04-08 06:47:38 EDT
Parag, please remember to change the status to ASSIGNED whenever you take over a review..
Comment 3 Parag AN(पराग) 2009-04-08 07:11:09 EDT
Thanks Jussi.

Ramakrishna,
  Can you resubmit package with correcting %description. I don't want you to increase release tag in SPEC for this minor change as I have not started yet review?
Comment 4 Ramakrishna Reddy 2009-04-08 07:45:01 EDT
Thanks Jussi.

ParagN, here is the corrected version of the SPEC and SRPM.
Spec URL: http://ramakrishnareddy.info/fedora/python-pytools.spec
SRPM URL: http://ramakrishnareddy.info/fedora/python-pytools-8-1.fc11.src.rpm

The newer description is as follows ::
%description
Pytools are a few interesting things that are missing from the Python Standard 
Library. 

Small tool functions such as ::
* len_iterable, 
* argmin, 
* tuple generation, 
* permutation generation, 
* ASCII table pretty printing, 
* GvR's monkeypatch_xxx() hack, 
* The elusive flatten, and much more.
* Michele Simionato's decorator module
* A time-series logging module, pytools.log.
* Batch job submission, pytools.batchjob.
* A lexer, pytools.lex.
Comment 5 Parag AN(पराग) 2009-04-09 05:43:08 EDT
remove unneeded lines from SPEC like
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

also, remove following from %build
CFLAGS="$RPM_OPT_FLAGS"
Comment 6 Ramakrishna Reddy 2009-04-09 06:00:36 EDT
ParagN, here is the cleaned up version of the SPEC and the newer SRPM.
Spec URL: http://ramakrishnareddy.info/fedora/python-pytools.spec
SRPM URL: http://ramakrishnareddy.info/fedora/python-pytools-8-2.fc11.src.rpm
Comment 7 Ramakrishna Reddy 2009-04-16 02:46:25 EDT
correct path of the SRPM and SPEC
Spec URL: http://ramakrishnareddy.info/fedora/python-pytools.spec
SRPM URL: http://ramakrishnareddy.info/fedora/python-pytools-8-2.fc10.src.rpm
Comment 8 Parag AN(पराग) 2009-04-17 01:37:04 EDT
Review:
+ package builds in mock.
 Koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1301709
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream.
1cd76f03ac0280d8d22ed4f543812af8  pytools-8.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Not a GUI app.

APPROVED.
Comment 9 Ramakrishna Reddy 2009-04-17 03:39:05 EDT
New Package CVS Request
=======================
Package Name: python-pytools 
Short Description: A collection of tools for python
Owners: ramkrsna
Branches: F-10 F-11 
InitialCC:
Comment 10 Kevin Fenzi 2009-04-17 17:35:43 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.